import random


#What is the sum of digits of 2014 secondary school division winner?     112  #Do we want to count m^2 as well? ;-)
#What is the sum of penalty times of *all* teams in 2017?        592170
#In 2017 there is a team which name consists of three currency signs. What is the official exchange ticker name for the first currency symbol? (uppercase)       JPY
#In 2016 there was a team which name consisted of the same word repeated three times. What is the name of the team?      Go Go Go
#("Find the IPSC 2017 team with the most 'O' letters in its name (either lowercase or uppercase). How many 'O' letters does it have?", 36),
#("What is the name of the team containing the largest continuous number as a part of its team name?", 2013300262),


QUESTIONS = [
("How many 'O' letters (either lowercase or uppercase) are in the name of the 2016 secondary school division winning team?", 18),
("The winner of the secondary school division in 2013 has a team name which is a prime number. What is the next prime number?", 23339),
("Which team got the 27th place in IPSC 1999?", 1113),
("The 201st team in IPSC 2015 is named as a hexadecimal number. What is its name in decimal?", 322672221809615151038817183026318369417),
("How many times did R+T+J win the open division?", 6),
("How many teams solved B2 in IPSC 2004?", 345),
("How many people clicked the link for the 2015 secondary school division winning team?", 3786),
("How many teams in the IPSC 2017 scoreboard had a total time more than 2000 minutes?", 77),
("How many correct answers were submitted for all problems in IPSC 2015?", 6005),
("Out of all the teams whose name is a single decimal number, across all IPSC scoreboards, what is the largest number?", 7801435514506331244),
("How many teams finished with exactly 7 points in IPSC 2011?", 35),
]

def task_ipschuman(state):
    c = state.get("ipschumancount", 0)
    if c >= len(QUESTIONS):
        q, a = random.choice(QUESTIONS)
    else:
        state["ipschumancount"] = (c + 1) % len(QUESTIONS)
        q, a = QUESTIONS[c]
    return { "var1": q, "answer": str(a) }
